## gnu.regexp
Class CharIndexedInputStream

    java.lang.Object
      gnu.regexp.CharIndexedInputStream

All Implemented Interfaces:
  CharIndexed

class CharIndexedInputStream
extends Object
implements CharIndexed

Field Summary
`static char` `OUT_OF_BOUNDS`

Constructor Summary
`(package private)` `CharIndexedInputStream(InputStream str, int index)`

Method Summary
`char` `charAt(int index)`
`boolean` `isValid()`
`boolean` `move(int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OUT_OF_BOUNDS

    public static final char OUT_OF_BOUNDS

See Also:
  Constant Field Values

Constructor Detail

### CharIndexedInputStream

    CharIndexedInputStream(InputStream str,
                           int index)

Method Detail

### charAt

    public char charAt(int index)

  Specified by:
    `charAt` in interface `CharIndexed`

### move

    public boolean move(int index)

  Specified by:
    `move` in interface `CharIndexed`

### isValid

    public boolean isValid()

  Specified by:
    `isValid` in interface `CharIndexed`